Page MenuHomePhabricator

Get the Growth experiment for the French Wiktionary
Closed, ResolvedPublic

Description

First

  • Post on Village Pump and reach consensus (here)
  • Have a group of people who will enroll in this project as mentors (helping on the help desk or as direct mentors) : Wiktionnaire:Mentorat
  • Have a group of people to be the contacts for the next steps (please provide names) : Lepticed7, Darmo117

Then

Translations

Help panel

  • Provide the URL of your help desk and the page title = https://fr.wiktionary.org/wiki/Wiktionnaire:Entraide | Entraide
  • Explain how your Help desk is archived = Automatically and monthly, using subpages "Wiktionnaire:Entraide/month year"
  • Provide the 5 most important help pages newcomers should have access to, and the label people will read (for instance "how to add an image"). =
    • Wiktionnaire:Critères d’acceptabilité des entrées (Les critères d’acceptabilité des mots)
    • Wiktionnaire:Structure des pages (La structure des pages)
    • Aide:Définitions (Écrire une définition)
    • Aide:Prononciation (Ajouter la prononciation)
    • Aide:Tutoriels (Découvrir avec des tutoriels interactifs)
  • On which namespaces it have to be deployed (0 is mandatory) = 0, 4,100, 106, 108, 110
  • Which namespace(s) the Help panel search should handle = 4, 12, 100, 108, 112
  • What is the wikilink to the main help page = Aide:Sommaire

Homepage

Mentors

  • Create if necessary or update the mentors list (on going)
    • the format is [[User:Name]]|Description (be careful about the position of the | in the example!)
    • add the following sentence at the top:

Please introduce yourself in a short way (240 characters max) so that newcomers will know more about you. To increase focus, your message will not render wikitext or links. [[mw:Special:MyLanguage/Growth/Communities/How to introduce yourself as a mentor|See examples and best practices.]]

Understanding First Day

  • The list of namespaces where page title will not be recorded for privacy reasons (namespaces 0, 1, 6, 7 are mandatory). = 0, 1, 6, 7, 14, 15, 100, 101, 106, 107, 108, 109, 110, 111

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Trizek-WMF updated the task description. (Show Details)Nov 14 2019, 10:49 AM
Trizek-WMF updated the task description. (Show Details)Nov 15 2019, 3:41 PM
Trizek-WMF updated the task description. (Show Details)Nov 28 2019, 11:39 AM
Lepticed7 updated the task description. (Show Details)Nov 28 2019, 1:04 PM
Lepticed7 updated the task description. (Show Details)Dec 18 2019, 5:01 PM
Lepticed7 updated the task description. (Show Details)Dec 18 2019, 5:34 PM
Lepticed7 updated the task description. (Show Details)EditedDec 18 2019, 5:40 PM

J'ai rajouté les espaces de nom pour le thésaurus et sa page de discussion qui est du contenu et non de l'aide. J'hésite encore pour les espaces de nom Catégorie, Annexe et Projet.

Lepticed7 updated the task description. (Show Details)Dec 18 2019, 5:53 PM

@Trizek-WMF Comment gérer, dans les traductions de la documentation, quand il y a marqué « Wikipédia » ? Doit-on laisser « Wikipédia » ou mettre « Wiktionnaire » ?

Lepticed7 updated the task description. (Show Details)Dec 18 2019, 6:14 PM

J'ai rajouté les espaces de nom pour le thésaurus et sa page de discussion qui est du contenu et non de l'aide. J'hésite encore pour les espaces de nom Catégorie, Annexe et Projet.

C'est à vous de voir. Peut-être demander à d'autres ?

@Trizek-WMF Comment gérer, dans les traductions de la documentation, quand il y a marqué « Wikipédia » ? Doit-on laisser « Wikipédia » ou mettre « Wiktionnaire » ?

Des exemples ?

Pour les traductions d'interface, il faudra créer les messages localement en attendant que le nom du wiki soit correctement pris en compte via un mot magique.

Vu. Il faut laisser le cas de Wikipédia, vu que le projet se focalise sur Wikipédia en premier lieu.

@Trizek-WMF La page Tâches des nouveaux est-elle à traduire ? Elle ne figure pas dans la liste ci-dessus. Merci d'avance :)

@Trizek-WMF La page Tâches des nouveaux est-elle à traduire ? Elle ne figure pas dans la liste ci-dessus. Merci d'avance :)

Non, elle est spécifique à Wikipédia. Laisse-là aux wikipédiens. :p

Darmo117 updated the task description. (Show Details)Dec 21 2019, 12:22 AM
Otourly updated the task description. (Show Details)Dec 28 2019, 12:03 PM
Trizek-WMF added a comment.EditedJan 6 2020, 9:37 AM

The task is almost completed. only the following items require more work:

  • Have a group of people to be the contacts for the next steps (please provide names) <-- We miss names :)
  • On which namespaces it have to be deployed = <-- These are the namespaces where the help panel should be displayed to users
  • Which namespace(s) the Help panel search should handle (0 is mandatory) = 0, 4, 12, 100 <-- These are the namespaces the help panel search function will search on.
Trizek-WMF updated the task description. (Show Details)Jan 6 2020, 11:13 AM
Lepticed7 updated the task description. (Show Details)Jan 7 2020, 12:42 PM

Une demande a été faite pour obtenir un nouvel espace de nom pour les tutoriels. Je mettrai à jour les deux derniers champs une fois que je connaitrai l’id de ce nouvel espace de nom.

@Trizek-WMF Est-il possible d’avoir un peu plus de descriptions sur les deux dernières tâches ? Le panneau d’aide est affiché lors de l’édition, c’est ça ? Et que va chercher le panneau d’aide ? Plus d’informations pour répondre à l’utilisateur ? Si c’est le cas, je suis pas sûr que l’EdN principal (0) soit utile dans notre cas, il n’y a que les entrées. Toutes les aides et autres sont ailleurs.

Lepticed7 updated the task description. (Show Details)Jan 7 2020, 12:57 PM
Trizek-WMF added a comment.EditedJan 7 2020, 7:50 PM

Le panneau d’aide est affiché lors de l’édition et/ou de la consultation des pages. C'est principalement affiché sur l'espace principal, mais cela peut aussi être sur l'espace d'aide.

Le panneau d'aide a un champ de recherche qui va cherche dans l'espace de noms que l'on souhaite ; par défaut "Aide", mais jamais l'espace principal (aucun intérêt).

Plus d’informations pour répondre à l’utilisateur ?

C'est à dire ?

Plus d’informations pour répondre à l’utilisateur ?

C'est à dire ?

Tu as répondu, mais ma question reformulée était "Le panneau d'aide va-t-il chercher plus d'informations pour répondre à l'utilisateur ?"

Dans les espaces de nom pour "Which namespace(s) the Help panel search should handle (0 is mandatory)", l'espace principal est indiqué comme obligatoire, sans que je ne comprenne pourquoi. Qu'il soit obligatoire sur la liste précédente, ok, mais là, je ne comprends pas pourquoi.

Trizek-WMF added a comment.EditedJan 7 2020, 7:58 PM

« Which namespace(s) the Help panel search should handle (0 is mandatory) » porte sur là où est affiché le panneau d'aide. J'ai encore inversé deux trucs : 0 n'est pas du tout obligatoire. J'ai donc édité la description de la tâche.

Trizek-WMF updated the task description. (Show Details)Jan 7 2020, 7:58 PM

Ok, je comprends mieux. Merci beaucoup. Je pense avoir fini de remplir tous les champs manquants. Bonne soirée.

Super ! C'est parti pour le déploiement. Cela va prendre un peu de temps cependant : on en a quatre autres à faire avant. :)

Ok. Je mettrai à jour le dernier espace de nom quand il sera sur le wiktionnaire. Est-il possible d'obtenir un planning en gros avec les échéances, histoire de le présenter aux autres ? Merci :)

Ok. Je mettrai à jour le dernier espace de nom quand il sera sur le wiktionnaire. Est-il possible d'obtenir un planning en gros avec les échéances, histoire de le présenter aux autres ? Merci :)

Pour le moment, il n'y a pas de date. Ce qui est certain c'est que les 4 Wikipédias qui ont terminé le processus avant vous sont prioritaires. Je vous tiens au courant quand un planning sera disponible.

Lepticed7 updated the task description. (Show Details)Jan 10 2020, 11:15 AM

Il serait bien que vous soyez au moins deux comme points de contact. De préférence des personnes qui sont capables de communiquer en anglais à l'écrit, vu que les prochaines étapes seront prise en charge par des non-francophones. :)

Darmo117 updated the task description. (Show Details)Jan 13 2020, 2:49 PM

Bonjour @Trizek-WMF, est-il possible d'avoir des nouvelles ? Merci d'avance.

Bonjour @Trizek-WMF, est-il possible d'avoir des nouvelles ? Merci d'avance.

Bonjour

Nous allons grouper ce déploiement avec celui de la Wikipédia en français. Pour des raisons de calendrier, ce ne sera pas avant le mois de mai. Merci de votre patience !

Lyokoi added a subscriber: Lyokoi.Mar 11 2020, 10:11 AM

Quoi ? Mais on s’est cassé le derrière pour vous aider, solliciter la communauté et voter la mise en place, faire la traduction, et faciliter la mise en place technique et au final on a aucune primeur sur l’outil ??? Comment voulez-vous qu’on vous soutienne si vous nous prenez pour des cons comme ça ??

Je suis franchement dégouté ! Ce genre d’attitude ne donne absolument pas envie de vous aider à l’avenir !

Noe added a comment.EditedMar 11 2020, 10:25 AM

Merci pour l'info.

C'est une mauvaise nouvelle pour nous, tu t'en doutes bien. Non pas que ça tarde à après l'anniversaire du Wiktionnaire et après les quatorzaines qui offrent du temps libre pour que les gens puissent contribuer.

Nous nous sommes investis pour traduire et mettre en place l'infrastructure côté Wiktionnaire. Ça a pris du temps et nous espérions bien que notre implication serait bénéfique pour les autres projets francophones une fois que le test sur le Wiktionnaire serait concluant. Nous étions sensé être un projet pilote, aussi bien sur la langue que sur la nature du projet (i.e. pas Wikipédia). Tu nous annonces là que le Wiktionnaire ne sera pas un projet pilote, alors que nous avons bien coché toutes les cases (je viens de mettre à jour la liste, tout est fait.)

Sauf si je l'ai manqué, je n'ai pas trouvé de ticket sur Phabricator mentionnant les étapes en cours pour la Wikipédia francophone avec des cases à cocher, ni de page de discussion dédiée sur Discussion Projet:Aide et accueil ou ailleurs dans Wikipédia. Il me semble que les seules mentions d'un éventuel déploiement sur Wikipédia est la prise de température dans le bistro du 20 janvier et ton message French Wikipedia may have a delay because of another ongoing experiment. Tu estimes cependant que l'ensemble de la démarche pourra être discutée, validée par la communauté wikipédienne et préparée d'ici à mai ? Sur quoi se base cette prévision ?

Il me semble que rien n'empêche un déploiement sauf Wikipédia. Encore une fois. Dommage.

Noe updated the task description. (Show Details)Mar 11 2020, 10:30 AM

Hi @Lyokoi, while I understand frustration, the tone in your comment is not acceptable in Phabricator. Criticize ideas, not people. Thanks for your understanding.

Hi @Aklapper, I have criticize this disrepectfull attitude toward the french Wiktionary community, not people.

@Noe À noter que si le déploiement pour Wikipédia en français est prévu dans si longtemps, c'est tous simplement car un autre projet en en cours actuellement, testant l'attitude des nouveaux en fonction de si il reçoivent un message d'accueil ou non. Voir ici : https://fr.wikipedia.org/wiki/Sujet:Vch2am5cclmxe5qp

Du coup, les nouveautés de l'équipe croissance risquait de biaiser le test donc c'est pour ça que la mise en place de la page d'accueil est prévue en mai , à la fin le test (voir ici https://fr.wikipedia.org/wiki/Sujet:Vch2am5cclmxe5qp)

@NemoLePoisson Salut. Le fait est qu'on a commencé à travailler sur ce projet en octobre 2019, avec l'espoir d'avoir quelque chose avant Wikipédia francophone. Et une fois que toutes les tâches de mises en place et de traduction ont été faites, on nous dit : « Super ! C'est parti pour le déploiement. Cela va prendre un peu de temps cependant : on en a quatre autres à faire avant. :) » - @Trizek-WMF, le 7 janvier 2020

Enfin, après deux mois d'attente, et sous ma demande, on est informé qu'un projet, dont nous sommes indépendants et dont le seul point commun est la langue va :

  1. nous ralentir à cause d'un expérimentation qui ne nous concerne pas
  2. profiter de notre travail pour avoir les outils de l'équipe Croissance avant nous

C'est ça qui nous met en rogne. Ce sentiment perpetuel d'être en permanence renvoyer au second plan. Ça donne juste pas envie de participer, et de se contenter d’attendre, parce que de toute façon, les Wiktionaries ne sont pas une priorité. C’est une accumulation de petites actions de la sorte qui poussent certains à considérer qu’iels sont pris pour des con·nes. S’il fallait attendre que Wikipédia francophone obtienne l’ajout, autant le dire tout de suite. Personnellement, je suis juste blasé et j’ai moins envie de participer à sa mise en place. Voilà. À+.

S’énerver n’améliorera pas la rapidité de l’exécution du projet. Ça peut, par contre, les empirer. Si je recevais ces messages, ça me motiverai pas à continuer. C’est clair que la mise en attente nous semble une attitude méprisante surtout quand on sait que ça va faire 6 mois que l’on a commencer à préparer ce projet.

On est sur des projets collaboratifs, et qu’un wiki bénéficie d’un service signifie que c’est potentiellement tout les wikis qui pourront en profiter. Que WP bénéficie de notre travail et si c’est vraiment le cas tant mieux d’une certaine manière.

J’aurais cependant aimé une meilleure communication sur le sujet. Et j’espère qu’à l’avenir ce sera le cas.

Comprenez que si nous réagissons ainsi, c’est que la communauté du Wiktionnaire ne bénéficie que très peu des améliorations spécifiques proposées par la Wikimedia Fondation (par exemple Wishlist Survey). Or MediaWiki est bien, mais n’est pas adapté pour un projet comme le Wiktionnaire. Et qu’on me parle pas du projet révolutionnaire utopique des léxèmes de Wikidata…

On a besoin de code neuf ! Le Wiktionnaire pourrait être encore mieux ! Et dire que c’est un des 40 projets les plus importants de la WMF qui brasse tout de même plus d’un million de vues par jour…

Nous allons déterminer quand nous pouvons le faire plus tôt.

Thank you Trizek

Change 584179 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/extensions/GrowthExperiments@master] Add French aliases

https://gerrit.wikimedia.org/r/584179

Change 584183 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[operations/mediawiki-config@master] Enable GrowthExperiments on French Wiktionary

https://gerrit.wikimedia.org/r/584183

Tgr added a subscriber: Tgr.Mar 28 2020, 10:52 PM

I'm assuming the welcome survey should not be enabled yet since the foundationwiki link isn't mentioned anywhere.
I'm assuming we are going with 80% enabled / 20% disabled for the homepage A/B test, like we did for all other wikis except euwiki.
I'm assuming wgGEHelpPanelReadingModeNamespaces ("On which namespaces it have to be deployed") includes User (2) as we don't remove any namespaces that are included in the default config.

Change 584179 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Add French aliases

https://gerrit.wikimedia.org/r/584179

@Tgr -- that's correct about the experiment split. @Trizek-WMF can answer the other questions about welcome survey and namespaces.

@Lepticed7, @Darmo117, about the question "Which namespace(s) the Help panel search should be deployed", the following ones have been listed: 0, 4,100, 106, 108, 110. By default we also have namsepace 2 "User". Should we keep it?

Lepticed7 added a comment.EditedMar 31 2020, 1:04 PM

@Trizek-WMF As the User page is the home page for a beginner, I think it is relevant to keep it.

So wgGEHelpPanelReadingModeNamespaces will also handle ns:2.

Tgr added a comment.Apr 3 2020, 9:49 PM

Can we deploy this next Wednesday, since we'll be deploying some wikis anyway?

MMiller_WMF added a comment.EditedApr 3 2020, 10:33 PM

@Tgr -- I think yes. @Trizek-WMF can veto if he thinks not.

@Trizek-WMF @Tgr -- I haven't sent this survey privacy statement link to Legal yet. We need this one up on Foundation wiki right? To link to the Welcome Survey? Or are we not deploying Welcome Survey here?

The privacy statement is here.

@MMiller_WMF, I let you check with Legal about having it on the wiki (if needed).

@Trizek-WMF -- looking at the link, I see that the title is not translated. Could you please fill that in? Also can you tell whether this would be applicable to all French projects, or only to French Wiktionary?

@MMiller_WMF Hi, when I translated the text, I left the mentions to Wikipedia even though it is destined to Wiktionary because I was told so. Is it an issue or do we have to change it?

Tgr added a comment.Apr 6 2020, 4:54 PM

@Trizek-WMF @Tgr -- I haven't sent this survey privacy statement link to Legal yet. We need this one up on Foundation wiki right? To link to the Welcome Survey? Or are we not deploying Welcome Survey here?

Yeah, the current patch excludes the welcome survey. We can add it in if the foundationwiki page makes it in time, or do it (and the srwiki welcome survey) in a separate deployment. From a community perspective the survey is not a relevant change so I think it won't make the process more disruptive for them.

@Trizek-WMF -- looking at the link, I see that the title is not translated. Could you please fill that in?

New User Welcome Survey Privacy Statement -> Déclaration de respect de la vie privée concernant le questionnaire d'accueil des nouveaux arrivants.

I let @Darmo117 check on it. :)

Also can you tell whether this would be applicable to all French projects, or only to French Wiktionary?

IANAL, so you should ask Legal to see how we can tweak the message to have it covering both Wiktionary and future Wikipedia deployment. Or all projects at once.

Best option would be to get rid of this privacy statement, by merging it to the main privacy statement. Or removing the Welcome survey.

@Trizek-WMF -- looking at the link, I see that the title is not translated. Could you please fill that in?

New User Welcome Survey Privacy Statement -> Déclaration de respect de la vie privée concernant le questionnaire d'accueil des nouveaux arrivants.

I let @Darmo117 check on it. :)

The translation seems right to me, should I rename the page and change the link?

Tgr added a comment.Apr 7 2020, 12:53 AM

Best option would be to get rid of this privacy statement, by merging it to the main privacy statement. Or removing the Welcome survey.

Rename it to user profile so we can get rid of the statement :)
There isn't really any meaningful difference between the kind of data collected in the welcome survey and, say, the topic filter eventlogging data. I imagine all those legal strings only get attached because it has "survey" in the name.

@Tgr -- I think you should plan to deploy to French Wiktionary without the welcome survey, like we're doing with Serbian Wikipedia. I'm sorry that it will have to come separate. We'll be talking with Legal this week about how to improve the workflow for easier scaling.

Change 584183 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable GrowthExperiments on French Wiktionary

https://gerrit.wikimedia.org/r/584183

Mentioned in SAL (#wikimedia-operations) [2020-04-08T11:56:20Z] <tgr@deploy1001> Synchronized dblists/: SWAT: [[gerrit:584183|Enable GrowthExperiments on French Wiktionary (T235964)]] (duration: 01m 03s)

Mentioned in SAL (#wikimedia-operations) [2020-04-08T12:09:24Z] <tgr@deploy1001> Synchronized wmf-config/: SWAT: [[gerrit:584183|Enable GrowthExperiments on French Wiktionary (T235964)]] (duration: 01m 06s)

In checking this out in production, I noticed only one issue, which is that the formatting on the start module's alignment and icons looks strange:

@Tgr says this is caused by frwiktionary having a #mw-content-text h3 { line-height: 2 } site style.

@Trizek-WMF @Etonkovidova -- could you please post any issues you see, and we'll decide what other tasks to create and what to work on?

@MMiller_WMF - I'm moving to Needs more work column. The objective of the task is done and verified, but some decision is needed on whether the found UI issues are outside of the scope of this task and what actions (or a separate task) needs to be filed.

The icons alignment in start module looks broken (checked on desktop in Chrome80, FF74, and Safari10), another screenshot:

Also, on the mobile - the issue with wrapping.

Tgr added a comment.Apr 10 2020, 10:26 AM

Also, on the mobile - the issue with wrapping.

That's a bug, we apply some manual positioning to the start module headers to get the two-column list look, but we don't do it for the Userpage module. Fix is in https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/GrowthExperiments/+/587977.

The Privacy statement has been sent to Legal.

Concerning the icons, I explained them how to fix it.

Help panel don't post messages at the right place (example).

The configuration, as listed on the task, is supposed to be

Automatically and monthly, using subpages "Wiktionnaire:Entraide/month year"

@Tgr, can you have a look at it?

The icons issue has been fixed.

Change 589029 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[operations/mediawiki-config@master] Fix GrowthExperiments helpdesk URL for frwiktionary

https://gerrit.wikimedia.org/r/589029

Change 589029 merged by jenkins-bot:
[operations/mediawiki-config@master] Fix GrowthExperiments helpdesk URL for frwiktionary

https://gerrit.wikimedia.org/r/589029

Mentioned in SAL (#wikimedia-operations) [2020-04-15T18:10:55Z] <tgr@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:589029|Fix GrowthExperiments helpdesk URL for frwiktionary (T235964)]] (duration: 01m 06s)

I think everything has been fixed here (the text layout fix will be deployed with today's train).

Etonkovidova closed this task as Resolved.Apr 20 2020, 9:04 PM

Confirmed - marking as Resolved.